"use strict";

// Adapted from `jest-serializer-vue`
// May be subject to changes due to Vue 3 core changes
var prettify = require('pretty');

var isHtmlString = function isHtmlString(val) {
  return val && typeof val === 'string' && val[0] === '<';
};

var isVueWrapper = function isVueWrapper(value) {
  return value && typeof value === 'object' && typeof value.isVueInstance === 'function';
};

var removeServerRenderedText = function removeServerRenderedText(html) {
  return html.replace(/ data-server-rendered="true"/, '');
}; // [-\w]+ will catch 1 or more instances of a-z, A-Z, 0-9, hyphen (-), or underscore (_)


var removeDataTestAttributes = function removeDataTestAttributes(html) {
  return html.replace(/ data-test="[-\w]+"/g, '');
};

module.exports = {
  test: function test(received) {
    return isHtmlString(received) || isVueWrapper(received);
  },
  print: function print(received) {
    var html = (isVueWrapper(received) ? received.html() : received) || '';
    html = removeServerRenderedText(html);
    html = removeDataTestAttributes(html);
    return prettify(html, {
      indent_size: 2
    });
  }
};
//# sourceMappingURL=snapshot-serializer.js.map